curl --request GET \
--url https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"enabled": true,
"scheduling_horizon_days": 1073741823,
"available_weekdays": [
"monday"
],
"start_time": "<string>",
"end_time": "<string>",
"minimum_notice_hours": 1073741823
}[
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
][
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
]Get the interview schedule config
GET/PATCH /jobs//interview-config/schedule.
The schedule row is auto-created with the config, so it always exists once the config does; there is no separate create. PATCH updates it in place.
curl --request GET \
--url https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"enabled": true,
"scheduling_horizon_days": 1073741823,
"available_weekdays": [
"monday"
],
"start_time": "<string>",
"end_time": "<string>",
"minimum_notice_hours": 1073741823
}[
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
][
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
]Authorizations
API key authentication for the public API. Pass your API key as a Bearer token.
Path Parameters
Response
Whether interview scheduling is enabled. When enabled, application creation requires scheduled_at and the interview starts at that slot instead of immediately; applications created without a slot (recruiter invite, ATS sync) are not auto-started. When disabled, the interview starts directly.
[Scheduling enabled only] Number of days in the future that candidates can schedule their interviews.
0 <= x <= 2147483647[Scheduling enabled only] Weekdays when candidates can schedule interviews. At least one is required when enabled=true.
monday- Mondaytuesday- Tuesdaywednesday- Wednesdaythursday- Thursdayfriday- Fridaysaturday- Saturdaysunday- Sunday
monday, tuesday, wednesday, thursday, friday, saturday, sunday [Scheduling enabled only] Daily start time for interview scheduling (e.g., 08:00). Timezone is determined by the applicant's phone number area code.
[Scheduling enabled only] Daily end time for interview scheduling (e.g., 19:00). Timezone is determined by the applicant's phone number area code.
[Scheduling enabled only] Minimum number of hours of notice required for candidates to schedule an interview.
0 <= x <= 2147483647
